<div class="home-top-text">
  <mat-card>
    <h1>advise.me</h1>
    <p class="lead">Welcome to our custom web support decision platform</p>
    <p>ABDELMOUMEN Oussama | HERVIER Alexandre | LECLERC Quentin | RODRIGUEZ Luis</p>
    <div>
      <button *ngIf="!authService.loggedIn()" mat-raised-button color="primary" class="login-button" [routerLink]="['/login']">
          <mat-icon>power_settings_new</mat-icon> Login
      </button>
      <button *ngIf="!authService.loggedIn()" mat-raised-button color="default" class="register-button" [routerLink]="['/register']">
          <mat-icon>edit</mat-icon> Register
      </button>
      <button *ngIf="authService.loggedIn()" mat-raised-button color="warn" class="logout-button" [routerLink]="['/login']">
          <mat-icon>power_settings_new</mat-icon> Logout
      </button>
    </div>
  </mat-card>
</div>

<div class="row">
  <mat-card class="article">
    <mat-card-header>
      <p>
        Distributed application
      </p>
    </mat-card-header>
    <mat-card-content>
      The goal of this POC was to deploy an application using services. This app is using an authentification API that is deployed on a second server.
    </mat-card-content>
  </mat-card>
  <mat-card class="article">
    <mat-card-header>
      <p>
        Authentification API
      </p>
    </mat-card-header>
    <mat-card-content>
      The authentification API, that we developped using a encryption algorithm, allow users to connect to the database and access to a dashboard. This API connects to a MongoDB database. The RESTful API is deployed on a second heroku node.
    </mat-card-content>
  </mat-card>
  <mat-card class="article">
    <mat-card-header>
      <p>
        MongoDB database
      </p>
    </mat-card-header>
    <mat-card-content>
      The database is also deployed on the cloud. It is deployed on an Amazon server via the mLab Database as a Service platform.
    </mat-card-content>
  </mat-card>
</div>

<div class="row">
  <mat-card class="article">
    <mat-card-header>
      <p>
        Express Backend
      </p>
    </mat-card-header>
    <mat-card-content>
      A Node.js/Express server using Mongoose to organize models and query the database
    </mat-card-content>
  </mat-card>
  <mat-card class="article">
    <mat-card-header>
      <p>
        Angular-CLI
      </p>
    </mat-card-header>
    <mat-card-content>
      Angular-CLI to generate components, services and more. Local dev server and easy compilation
    </mat-card-content>
  </mat-card>
  <mat-card class="article">
    <mat-card-header>
      <p>
        JWT Tokens
      </p>
    </mat-card-header>
    <mat-card-content>
      Full featured authentication using JSON web tokens. Login and store user data
    </mat-card-content>
  </mat-card>
</div>


<!-- <div class="home-grid-list">
  <mat-card>
    <mat-card-content>
      <mat-grid-list cols="3" rowHeight="100">
        <mat-grid-tile *ngFor="let tile of tiles" [colspan]="tile.cols" [rowspan]="tile.rows"
                      [style.background]="tile.color">
          {{tile.text}}
        </mat-grid-tile>
      </mat-grid-list>
    </mat-card-content>
  </mat-card>
</div> -->
